<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsPlatformHeaderText',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section :id="data?.id" class="header-and-text slp-my-96">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="7">
          <SlpTypography v-if="data.title" tag="h2" variant="heading2-bold">{{
            data.title
          }}</SlpTypography>
          <SlpTypography
            v-if="data.subtitle"
            class="slp-mt-32"
            tag="h5"
            variant="heading5"
            >{{ data.subtitle }}</SlpTypography
          >
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>
